package macro;

import star.common.*;

public class ConvertPhysicsToSteady extends StarMacro {

    @Override
    public void execute() {

        Simulation sim = getActiveSimulation();

        for (PhysicsContinuum pc : sim.getContinuumManager().getObjectsOf(PhysicsContinuum.class)) {
            if (pc.getEnabledModels().containsKey("star.common.ImplicitUnsteadyModel")) {
                pc.disableModel(pc.getModelManager().getModel(ImplicitUnsteadyModel.class));
            }
            if (!pc.getEnabledModels().containsKey("star.common.SteadyModel")) {
                pc.enable(SteadyModel.class);
            }

        }

    }

}
