package macro;

import star.common.*;

public class ConvertPhysicsToUnsteady extends StarMacro {

    @Override
    public void execute() {

        Simulation sim = getActiveSimulation();

        for (PhysicsContinuum pc : sim.getContinuumManager().getObjectsOf(PhysicsContinuum.class)) {
            if (pc.getEnabledModels().containsKey("star.common.SteadyModel")) {
                pc.disableModel(pc.getModelManager().getModel(SteadyModel.class));
            }
            if (!pc.getEnabledModels().containsKey("star.common.ImplicitUnsteadyModel")) {
                pc.enable(ImplicitUnsteadyModel.class);
            }

        }

    }
}
