package macro;

import star.common.*;

public class InitializeTransient extends StarMacro {

    @Override
    public void execute() {

        Simulation sim = getActiveSimulation();

        StepStoppingCriterion stepStoppingCriterion = ((StepStoppingCriterion) sim.getSolverStoppingCriterionManager().getSolverStoppingCriterion("Maximum Steps"));
        stepStoppingCriterion.setIsUsed(false);

        ImplicitUnsteadySolver implicitUnsteadySolver = ((ImplicitUnsteadySolver) sim.getSolverManager().getSolver(ImplicitUnsteadySolver.class));
        FixedStepsStoppingCriterion fixedStepsStoppingCriterion = implicitUnsteadySolver.getSolverStoppingCriterionManager().createSolverStoppingCriterion(FixedStepsStoppingCriterion.class);
        fixedStepsStoppingCriterion.setFixedSteps(1);
        implicitUnsteadySolver.getTimeStep().setDefinition("$dt");

        InnerIterationStoppingCriterion innerIterationStoppingCriterion = ((InnerIterationStoppingCriterion) sim.getSolverStoppingCriterionManager().getSolverStoppingCriterion("Maximum Inner Iterations"));
        innerIterationStoppingCriterion.setMaximumNumberInnerIterations(5);

    }
}
